FortID LogoFortID

Issuance Consent

Provide user consent to continue the OpenID4VCI issuance flow.

POST
/wallets/{walletId}/issue/{issuanceSessionId}/consent

This API notifies the Wallet Service that the end user has consented to receive a credential to be issued, after which the Wallet Service continues with the protocol.

Additional parameters, such as txCode, may be provided depending on the protocol context. For Pre-Authorized Code Flow, txCode is used if it is enabled by the Issuer. On the other side, for Authorization Code Flow, the code that wallet received from Authorization Server is used for fetching Access Token from Authorization Server

To verify whether the credential has been issued, the caller must invoke the /wallets/{walletId}/issue/{issuanceSessionId}/session-status API.

Path Parameters

walletId*string

The unique identifier of the Wallet.

Formatuuid
issuanceSessionId*string

A unique ID of the issuance session.

Formatuuid

Header Parameters

Authorization*string

Token for authenticating requests to the FortID Wallet Service.

Request Body

application/json

proofSignature?string

Signature over the payload provided within the /wallets/{walletId}/issue/{issuanceSessionId}/session-status.

It must be present only if the proofPayload was received.

The signature must be provided encoded as ASCII string.

preAuthorizedCodeFlow*
[key: string]?never

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://ews.mds2026.fortid.dev/wallets/f4856bb7-d77a-4a6a-9c8a-7d7f6f639cfb/issue/dd6473c2-2043-4523-b359-ceb596ddae66/consent" \  -H "Authorization: Bearer {access_token}" \  -H "Content-Type: application/json" \  -d '{    "preAuthorizedCodeFlow": {}  }'
null
{
  "error": "Invalid URL: UUID parsing failed"
}
{
  "error": "Unauthorized access to wallet service is not allowed."
}
{
  "error": "User user:9d18dc5a409e4f0f94ff6812e324c959 unauthorized for Wallet f5d223f6-fc41-42b1-b2a6-475a2984486c"
}
{
  "error": "Issuance session with ID dd6473c2-2043-4523-b359-ceb596ddae66 not found"
}
{
  "error": "Internal Server Error"
}